This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 144764 - unrecognized character escape sequence
unrecognized character escape sequence
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 08:30 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.21.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 19:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-11 08:30:42 EST
Description of problem:

I just tried to compile package libselinux-1.20.1-1 from 
Redhat Fedora development tree.

The compiler said

avcstat.c(71): warning #192: unrecognized character escape sequence

The source code is

        printf("AVC statistics file, defaulting to \'%s\%s\'.\n\n",
selinux_mnt, DEF_STAT_FILE);

Suggest use %% instead of \% in printf.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2005-02-09 10:55:26 EST
Fixed in libselinux-1.21.1-2

Note You need to log in before you can comment on or make changes to this bug.